import javax.swing.*;

public class ShoppingList extends ShoppingListBase {

    public ShoppingList() {
        groceryList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    }

    public static void main (String args[]) {
        // Set our theme to make it look better.
        try {
            //The following line is needed when starting the application from WebStart (only on Windows)
            javax.swing.plaf.metal.MetalLookAndFeel.setCurrentTheme(new uic.themes.UICTheme());
            UIManager.setLookAndFeel(UIManager.getLookAndFeel());
        } catch(Exception e) {
            e.printStackTrace();
        }

        final JFrame frame = new JFrame("Shopping List");
        frame.addWindowListener(
            new java.awt.event.WindowAdapter() {
                public void windowClosing(java.awt.event.WindowEvent e) {
                    System.exit(0);
                }
            }
        );
        frame.getContentPane().add(new ShoppingList());
        frame.setBounds (20, 20, 300, 300);

        try {
            Runnable r = new Runnable() {
                public void run() {
                    // update LaF for the toplevel frame, too
                    javax.swing.SwingUtilities.updateComponentTreeUI(frame);
                }
            };
            javax.swing.SwingUtilities.invokeLater(r);
        } catch (Exception e) {
            e.printStackTrace();
        } // end setting theme.

        frame.show();
    }

    public void newButtonPressedSlot() {
        if(itemLineEdit.getText().length() < 1) return;
        addRowToGroceryList(new Boolean(false), itemLineEdit.getText());
        itemLineEdit.setText("");
        itemLineEdit.requestFocus();
    }
}
